Extending Qt Creator Manual | GenericProposal

Extending Qt Creator Manual 4.5.2

# GenericProposal Class

(TextEditor::GenericProposal)

Inherits: | TextEditor::IAssistProposal

- List of all members, including inherited members

## Public Functions

| GenericProposal(int cursorPos, GenericProposalModel *model)
| GenericProposal(int cursorPos, const QList<AssistProposalItemInterface *> &items)
| ~GenericProposal()

## Reimplemented Public Functions

virtual IAssistProposalWidget * | createWidget() const override
virtual bool | hasItemsToPropose(const QString &prefix, AssistReason reason) const override
virtual IAssistProposalModel * | model() const override

- 8 public functions inherited from TextEditor::IAssistProposal

## Protected Functions

void | moveBasePosition(int length)

## Member Function Documentation

### GenericProposal::GenericProposal(int cursorPos, GenericProposalModel *model)

Default constructs an instance of GenericProposal.

### GenericProposal::GenericProposal(int cursorPos, const QList<AssistProposalItemInterface *> &items)

Default constructs an instance of GenericProposal.

### GenericProposal::~GenericProposal()

Destroys the instance of GenericProposal.

### `[override virtual]` IAssistProposalWidget *GenericProposal::createWidget() const

### `[override virtual]` bool GenericProposal::hasItemsToPropose(const QString &prefix, AssistReason reason) const

### `[override virtual]` IAssistProposalModel *GenericProposal::model() const

### `[protected]` void GenericProposal::moveBasePosition(int length)